Quantcast

gstreamer-vaapi

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

gstreamer-vaapi

BGraaf

Hi,

 

I’m using Gstreamer 1.4.3 on Ubuntu 14.04.2 and try to use ‚vaapiencode_h264’.

The encoder is available since gstreamer-vaapi 0.5.8 (but needs gestreamer 1.2).

Gstreamer-vaapi 0.5.9 and 0.5.10 have bugs (compiling error in Ubuntu 14.04. for example).

In some discussions I’ve found ‘0.5.11 is the last stable’, but I didn’t found this version in the download area.

 

My question: where could I find gstreamer-vaapi version 0.5.11?

 

Thanks a lot

Bernhard


_______________________________________________
gstreamer-devel mailing list
[hidden email]
http://lists.freedesktop.org/mailman/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: gstreamer-vaapi

Nicolas Dufresne-3
Le dimanche 07 juin 2015 à 11:39 +0200, Bernhard Graaf a écrit :

> I’m using Gstreamer 1.4.3 on Ubuntu 14.04.2 and try to use
> ‚vaapiencode_h264’.
> The encoder is available since gstreamer-vaapi 0.5.8 (but needs
> gestreamer 1.2).
> Gstreamer-vaapi 0.5.9 and 0.5.10 have bugs (compiling error in Ubuntu
> 14.04. for example).
> In some discussions I’ve found ‘0.5.11 is the last stable’, but I
> didn’t found this version in the download area.
>  
> My question: where could I find gstreamer-vaapi version 0.5.11?
GStreamer VAAPI is an Intel project and they control their own release
cycle. Just like the GStreamer project releases, tarballs are hosted on
freedesktop.org servers.

http://www.freedesktop.org/software/vaapi/releases/gstreamer-vaapi/

As you can see, 0.5.11 is not released yet. So I would suppose what
they meant that a fix exist in the current development branch, as found
in the official git repository.

https://github.com/01org/gstreamer-vaapi

cheers,
Nicolas
_______________________________________________
gstreamer-devel mailing list
[hidden email]
http://lists.freedesktop.org/mailman/listinfo/gstreamer-devel

signature.asc (188 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

AW: gstreamer-vaapi

BGraaf
Thank you Nicolas,

That what I have found also. So I should wait for the next one.
I haven't known that this is an Intel project.

Bernhard
-----Ursprüngliche Nachricht-----
Von: gstreamer-devel [mailto:[hidden email]]
Im Auftrag von Nicolas Dufresne
Gesendet: Sonntag, 7. Juni 2015 19:10
An: Discussion of the development of and with GStreamer
Betreff: Re: gstreamer-vaapi

Le dimanche 07 juin 2015 à 11:39 +0200, Bernhard Graaf a écrit :

> I’m using Gstreamer 1.4.3 on Ubuntu 14.04.2 and try to use
> ‚vaapiencode_h264’.
> The encoder is available since gstreamer-vaapi 0.5.8 (but needs
> gestreamer 1.2).
> Gstreamer-vaapi 0.5.9 and 0.5.10 have bugs (compiling error in Ubuntu
> 14.04. for example).
> In some discussions I’ve found ‘0.5.11 is the last stable’, but I
> didn’t found this version in the download area.
>  
> My question: where could I find gstreamer-vaapi version 0.5.11?

GStreamer VAAPI is an Intel project and they control their own release
cycle. Just like the GStreamer project releases, tarballs are hosted on
freedesktop.org servers.

http://www.freedesktop.org/software/vaapi/releases/gstreamer-vaapi/

As you can see, 0.5.11 is not released yet. So I would suppose what
they meant that a fix exist in the current development branch, as found
in the official git repository.

https://github.com/01org/gstreamer-vaapi

cheers,
Nicolas

_______________________________________________
gstreamer-devel mailing list
[hidden email]
http://lists.freedesktop.org/mailman/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: gstreamer-vaapi

Victor Jaquez
In reply to this post by BGraaf
On 06/07/15 at 11:39am, Bernhard Graaf wrote:
> Hi,
>
>  
>
> I'm using Gstreamer 1.4.3 on Ubuntu 14.04.2 and try to use
> ,vaapiencode_h264'.

Yeah, Ubuntu 14.04 distributes gstreamer-vaapi 0.5.7

https://launchpad.net/ubuntu/trusty/+source/gstreamer-vaapi

> The encoder is available since gstreamer-vaapi 0.5.8 (but needs gestreamer
> 1.2).

I guess you could compile it for gstreamer 1.2 too. But it is better to build
a newer version.

> Gstreamer-vaapi 0.5.9 and 0.5.10 have bugs (compiling error in Ubuntu 14.04.
> for example).

Could you file a bug about it? If you could include the error messages would
be great.

https://bugzilla.gnome.org/enter_bug.cgi?product=gstreamer-vaapi

> In some discussions I've found '0.5.11 is the last stable', but I didn't
> found this version in the download area.

0.5.11 is the current development branch (master). AFAIK, it will be released
on July.

>
> My question: where could I find gstreamer-vaapi version 0.5.11?
>

You can clone the repo and build it yourself, shouldn't be hard, but it can be
tricky :)

vmjl
_______________________________________________
gstreamer-devel mailing list
[hidden email]
http://lists.freedesktop.org/mailman/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

AW: gstreamer-vaapi

BGraaf
I am using following pipeline:
Dvbbasebin ! decodebin name=d ! videoconvert ! vaapiencode_h264 ! mpegtsmux
name=m ! tcpserversink d. ! audoconvert ! audioresample ! avenc_mp2 ! m.

If I use x264enc instead of vaapiencode_h264 the pipeline works great (but
with height cpu-usage).

With 0.5.9 the pipeline hangs between video encoding and muxing without any
error message.
With 0.5.10 I have a problem with make (compiling) but there is already an
open bug at
https://bugzilla.gnome.org/enter_bug.cgi?product=gstreamer-vaapi.

So thank you for your commitment for July. I have time to wait :-).

Regards
Bernhard

-----Ursprüngliche Nachricht-----
Von: gstreamer-devel [mailto:[hidden email]]
Im Auftrag von Víctor M. Jáquez L.
Gesendet: Sonntag, 7. Juni 2015 20:33
An: Discussion of the development of and with GStreamer
Betreff: Re: gstreamer-vaapi

On 06/07/15 at 11:39am, Bernhard Graaf wrote:
> Hi,
>
>  
>
> I'm using Gstreamer 1.4.3 on Ubuntu 14.04.2 and try to use
> ,vaapiencode_h264'.

Yeah, Ubuntu 14.04 distributes gstreamer-vaapi 0.5.7

https://launchpad.net/ubuntu/trusty/+source/gstreamer-vaapi

> The encoder is available since gstreamer-vaapi 0.5.8 (but needs gestreamer
> 1.2).

I guess you could compile it for gstreamer 1.2 too. But it is better to
build
a newer version.

> Gstreamer-vaapi 0.5.9 and 0.5.10 have bugs (compiling error in Ubuntu
14.04.
> for example).

Could you file a bug about it? If you could include the error messages would
be great.

https://bugzilla.gnome.org/enter_bug.cgi?product=gstreamer-vaapi

> In some discussions I've found '0.5.11 is the last stable', but I didn't
> found this version in the download area.

0.5.11 is the current development branch (master). AFAIK, it will be
released
on July.

>
> My question: where could I find gstreamer-vaapi version 0.5.11?
>

You can clone the repo and build it yourself, shouldn't be hard, but it can
be
tricky :)

vmjl
_______________________________________________
gstreamer-devel mailing list
[hidden email]
http://lists.freedesktop.org/mailman/listinfo/gstreamer-devel

_______________________________________________
gstreamer-devel mailing list
[hidden email]
http://lists.freedesktop.org/mailman/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: AW: gstreamer-vaapi

snowuyl
GStreamer VAAPI v1.11.2 has solved vaapih264enc hang up issue. You can download source code from
https://gstreamer.freedesktop.org/src/gstreamer-vaapi/
Loading...